Skip to main content
GET
/
seating-plan-areas
Retrieve Areas
curl --request GET \
  --url https://api.nuwebgroup.com/v1/seating-plan-areas \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "seating_plan_areas",
      "id": 1,
      "attributes": {
        "name": "Area 1"
      }
    }
  ],
  "links": {
    "first": "http://api.willms.com/v1/seating-plan-areas?page=1",
    "last": "http://api.willms.com/v1/seating-plan-areas?page=2",
    "prev": "http://api.willms.com/v1/seating-plan-areas?page=1",
    "next": "http://api.willms.com/v1/seating-plan-areas?page=2",
    "self": "http://api.willms.com/v1/seating-plan-areas?page=1"
  },
  "meta": {
    "total": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

eventId
integer

The event for which you wish to retrieve the associated seating plan areas for. Is required when hasAvailability is provided.

hasAvailability
boolean

Retrieve only the areas which have availability. This parameter is only available in conjunction with eventId.

Response

Successfully retrieved the seating plan areas.

data
object[]
meta
object